---
title: VRLayerInit.leftBounds
slug: Web/API/VRLayerInit/leftBounds
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRLayerInit
  - Virtual Reality
  - WebVR
  - leftBounds
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>leftBounds</strong></code> property of the {{domxref("VRLayerInit")}} interface (dictionary) defines the left texture bounds of the canvas whose contents will be presented by the {{domxref("VRDisplay")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myVRLayerInit = { };
myVRLayerInit.leftBounds = [0.0, 0.0, 0.5, 1.0];</pre>

<h3 id="Value">Value</h3>

<p>An array of four floating point values, which can take values from 0.0–1.0:</p>

<ul>
 <li>The left offset of the bounds.</li>
 <li>The top offset of the bounds.</li>
 <li>The width of the bounds.</li>
 <li>The height of the bounds.</li>
</ul>

<p>If <code>leftBounds</code> is not specified in the dictionary, the default value used is <code>[0.0, 0.0, 0.5, 1.0]</code>.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRLayerInit", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrlayerinit-leftbounds', 'leftBounds')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRLayerInit.leftBounds")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
